com.fasterxml.jackson.jaxrs.cfg

## Class ObjectWriterModifier

- java.lang.Object
- - com.fasterxml.jackson.jaxrs.cfg.ObjectWriterModifier

-     public abstract class ObjectWriterModifier
      extends Object

  Since:
    2.3

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObjectWriterModifier()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract com.fasterxml.jackson.databind.ObjectWriter` | `modify(EndpointConfigBase<?> endpoint, javax.ws.rs.core.MultivaluedMap<String,Object> responseHeaders, Object valueToWrite, com.fasterxml.jackson.databind.ObjectWriter w, com.fasterxml.jackson.core.JsonGenerator g)` Method called to let modifier make any changes it wants to to objects used for writing response for specified endpoint.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ObjectWriterModifier

          public ObjectWriterModifier()

  - ### Method Detail

    - #### modify

          public abstract com.fasterxml.jackson.databind.ObjectWriter modify(EndpointConfigBase<?> endpoint,
                                                           javax.ws.rs.core.MultivaluedMap<String,Object> responseHeaders,
                                                           Object valueToWrite,
                                                           com.fasterxml.jackson.databind.ObjectWriter w,
                                                           com.fasterxml.jackson.core.JsonGenerator g)
                                                                      throws IOException

      Method called to let modifier make any changes it wants to to objects used for writing response for specified endpoint.
      Parameters:
        `responseHeaders` - HTTP headers being returned with response (mutable)
      Throws:
        `IOException`

Copyright © 2016 FasterXML. All rights reserved.